.promo {
    color: white;
    overflow: hidden;
    position: relative;

    &__bg {
        top: 0;
        left: calc(50% - 960px);
        bottom: 0;
        z-index: 1;
        width: 1920px;
        position: absolute;
    }

    &__body {
        z-index: 20;
        position: relative;
        padding-top: rem(85);
        padding-bottom: rem(62);
    }

    &__header {
        font-weight: 700;
        font-size: rem(38);
        line-height: rem(46);
        margin-bottom: rem(30);
    }

    &__text {
        font-weight: 700;
        font-size: rem(20);
        margin-bottom: rem(56);
    }

    &__button {
        margin-bottom: rem(36);
    }

    &__info {
        display: flex;
        align-items: flex-start;
        column-gap: rem(16);
    }

    &__icon {
        width: rem(24);
        height: rem(24);
        flex-shrink: 0;
    }

    &__address {
        font-weight: 700;
        font-size: rem(14);
        line-height: rem(18);
        text-transform: uppercase;
    }

    @include media-breakpoint-up(sm) {}

    @include media-breakpoint-up(md) {

        &__body {
            padding-top: rem(90);
            padding-bottom: rem(90);
        }

        &__header {
            font-size: rem(64);
            line-height: rem(60);
        }


        &__text {
            font-weight: 700;
            font-size: rem(24);
            margin-bottom: rem(56);
        }

        &__button {
            margin-bottom: rem(48);
        }

        &__address {
            font-weight: 700;
            font-size: rem(20);
            line-height: rem(24);
            text-transform: uppercase;
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {
        min-height: rem(897);

        &__body {
            padding-top: rem(120);
        }

        &__header {
            font-size: rem(84);
            line-height: rem(68);
        }

        &__text {
            font-weight: 700;
            font-size: rem(32);
            line-height: rem(44);
            margin-bottom: rem(80);
        }

        &__button {
            margin-bottom: rem(76);
        }

        &__body {
            padding-top: rem(140);
            padding-bottom: rem(90);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__text {
            margin-bottom: rem(124);
        }
    }

    @media (min-width: 1920px) {

        &__bg {
            left: 0;
            right: 0;
            width: auto;
        }

    }
}
